<!DOCTYPE html>
<html>
	<head>
	
	<style type="text/css">
      canvas { border: 1px solid black; }
    </style>
	
	
	</head>
	<body>
	
		<canvas id="tutorial" width="320" height="320"></canvas>
	
	 <script>
	 
		var ultimoJogador  = "x";
	    var matriz  = [[],[],[]];
		
	    var canvas = document.getElementById("tutorial");
		var contexto = canvas.getContext("2d");
		contexto.fillStyle = "rgb(0,0,0)";
		//fillRect(x, y, width, height)
		//Draws a filled rectangle.
		//strokeRect(x, y, width, height)
		//Draws a rectangular outline.
		//clearRect(x, y, width, height)
		//Clears the specified rectangular area, making it fully transparent.
		//fillRect(x, y, width, height)
		contexto.fillRect(100,0,10,320);
		contexto.fillRect(210,0,10,320);
		contexto.fillRect(0,100,320,10);
		contexto.fillRect(0,210,320,10);
		//contexto.fillStyle = "rgb(200,0,0)";
        //contexto.fillRect (10, 10, 55, 50);
		
		function desenharJogada(str, x, y){
		  var img = new Image();  
          img.src = str + '.png';
		  img.onload = function(){
		     contexto.drawImage(img, x, y, 80, 80);
		  }
		}
		var o = new Image();  
        o.src = 'o.png';
		
		var x = new Image();
		x.src = "x.png";
	 
	    //drawImage(image, x, y)
		//drawImage(image, x, y, width, height)
		o.onload = function(){
		   contexto.drawImage(o, 10, 10, 80, 80);
		}
		
		x.onload = function(){
		   contexto.drawImage(x, 120, 120, 80, 80);
		   calcularVencedor();
		}
		
		//beginPath()
        //Creates a new path. Once created, future drawing commands are directed into the path and used to build the path up.
		//moveTo(x, y)
        //Moves the pen to the coordinates specified by x and y.
		//lineTo(x, y)
        //Draws a line from the current drawing position to the position specified by x and y
		//fill()
        //Draws a solid shape by filling the path's content area.
		//closePath()
        //Closes the path so that future drawing commands are once again directed to the context.
		function calcularVencedor(){
		
		    //linha vertical
			contexto.beginPath();
		    contexto.lineCap = 'round';
			contexto.strokeStyle="#FF0000";
			contexto.lineWidth=10;
			contexto.moveTo(160, 20);
			contexto.lineTo(160,300);
			//contexto.fill();
			contexto.stroke();
			contexto.closePath();
			
			//linha inclinada
			contexto.beginPath();
		    contexto.lineCap = 'round';
			contexto.strokeStyle="#FF0000";
			contexto.lineWidth=10;
			contexto.moveTo(20, 300);
			contexto.lineTo(300,20);
			//contexto.fill();
			contexto.stroke();
			contexto.closePath();
		}
		
		function isPosicaoVazia(x,y){
		    if (x > 220 && y > 220) {
				return matriz[2][2] == null;
			}
		}
		
		function obterPosicaoMouse(evento){
		    var x = evento.pageX;
		    var y = evento.pageY;
		    if (x > 220 && y > 220) {
			   alert("x: " + x + " y: " + y);
			   //if (isPosicaoVazia(x,y)){
			      desenharJogada(ultimoJogador, 230, 230)
			      matriz[2][2] = ultimoJogador;
				  ultimoJogador = ultimoJogador == 'o' ? 'x' : 'o';
		      // }
			   
			}
		}
		
		//canvas.onmousedown = function (e) {
        //    // React to the mouse down event
        //};
		
		canvas.addEventListener("mousedown", obterPosicaoMouse, false);

	 </script>
	</body>
</html>